nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Attributes | List of all members
nx::vms_server_plugins::analytics::stub::error_reporting::Ini Struct Reference
Inheritance diagram for nx::vms_server_plugins::analytics::stub::error_reporting::Ini:

## Public Member Functions
| NX_INI_FLAG (false, enableOutput, "")
| NX_INI_FLAG (false, errorOnPushCompressedFrame, "Produce an error on pushCompressedFrame() every 100 frames.")
| NX_INI_FLAG (false, returnIncorrectIntegrationManifest, "Return incorrect Integration manifest.")
| NX_INI_FLAG (false, returnIncorrectEngineManifest, "Return incorrect Engine manifest.")
| NX_INI_FLAG (false, returnIncorrectDeviceAgentManifest, "Return incorrect DeviceAgent manifest.")
| NX_INI_FLAG (false, returnNullOnEngineCreation, "Return null instead of Engine instance on initialization.")
| NX_INI_FLAG (false, returnErrorOnEngineCreation, "Return an error instead of Engine instance on initialization.")
| NX_INI_FLAG (false, returnErrorOnDeviceAgentCreation, "Return an error instead of DeviceAgent instance on initialization.")
| NX_INI_FLAG (false, returnNullOnDeviceAgentCreation, "Return null pointer instead of DeviceAgent instance on initialization.")
| NX_INI_STRING (kNoError, returnErrorFromEngineSetSettings, "Return an Error from Engine on setSettings().\ "String value \noError\:No error.\" "String value \errorInsteadOfSettingsResponse\:Return an error instead of Settings " "Response from the Engine on setting Settings.\" "String value \settingsResponseWithError\:Return Settings Response containing an error " "from the Engine on setting Settings.")
| NX_INI_STRING (kNoError, returnErrorFromEngineActiveSettingChange, "Return an Error from Engine on setting Active Settings.\ "String value \noError\:No error.\" "String value \errorInsteadOfSettingsResponse\:Return an error instead of Settings " "Response from Engine on setting Active Settings.\" "String value \settingsResponseWithError\:Return Settings Response containing an error " "from Engine on setting Active Settings.")
| NX_INI_STRING (kNoError, returnErrorFromEngineOnGetIntegrationSideSettings, "Return an Error from Engine on setting Integration-side Settings.\ "String value \noError\:No error.\" "String value \errorInsteadOfSettingsResponse\:Return an error instead of Settings " "Response from Engine 's Integration-side Settings.\" "String value \settingsResponseWithError\:Return Settings Response containing an error " "from Engine 's Integration-side Settings.")
| NX_INI_STRING (kNoError, returnErrorFromDeviceAgentSetSettings, "Return an Error from DeviceAgent on setting Settings.\ "String value \noError\:No error.\" "String value \errorInsteadOfSettingsResponse\:Return an error instead of Settings " "Response from DeviceAgent on setting Settings.\" "String value \settingsResponseWithError\:Return Settings Response containing an error " "from DeviceAgent on setting Settings.")
| NX_INI_STRING (kNoError, returnErrorFromDeviceAgentActiveSettingChange, "Return an Error from DeviceAgent on setting Active Settings.\ "String value \noError\:No error.\" "String value \errorInsteadOfSettingsResponse\:Return an error instead of Settings " "Response from DeviceAgent on setting Active Settings." "String value \settingsResponseWithError\:Return Settings Response containing an error " "from DeviceAgent on setting Active Settings.")
| NX_INI_STRING (kNoError, returnErrorFromDeviceAgentOnGetIntegrationSideSettings, "Return an Error from DeviceAgent on setting Integration-side Settings.\ "String value \noError\:No error.\" "String value \errorInsteadOfSettingsResponse\:Return an error instead of Settings " "Response from DeviceAgent 's Integration-side Settings.\" "String value \settingsResponseWithError\:Return Settings Response containing an error " "from DeviceAgent 's Integration-side Settings.")
Public Member Functions inherited from nx::kit::IniConfig
| IniConfig (const char *iniFile)
| IniConfig (const IniConfig &)=delete
| IniConfig (IniConfig &&)=delete
IniConfig & | operator= (const IniConfig &)=delete
IniConfig & | operator= (IniConfig &&)=delete
const char * | iniFile () const
const char * | iniFilePath () const
void | reload ()
bool | getParamTypeAndValue (const char *paramName, ParamType *outType, const void **outData) const
| Tweaks ()
| Tweaks (const Tweaks &)=delete
| Tweaks (Tweaks &&)=delete
Tweaks & | operator= (const Tweaks &)=delete
Tweaks & | operator= (Tweaks &&)=delete
template<typename T >
void | set (const T *field, T newValue)

## Static Public Attributes
static constexpr const char * | kNoError = "noError"
static constexpr const char * | kErrorInsteadOfSettingsResponse
static constexpr const char * | kSettingsResponseWithError = "settingsResponseWithError"

## Additional Inherited Members
Public Types inherited from nx::kit::IniConfig
enum | ParamType { ParamType::boolean, ParamType::string, ParamType::integer, ParamType::float_ }
Static Public Member Functions inherited from nx::kit::IniConfig
static bool | isEnabled ()
static void | setEnabled (bool value)
static void | setOutput (std::ostream *output)
static const char * | iniFilesDir ()
static void | setIniFilesDir (const char *iniFilesDir)
Protected Member Functions inherited from nx::kit::IniConfig
bool | regBoolParam (const bool *pValue, bool defaultValue, const char *paramName, const char *description)
int | regIntParam (const int *pValue, int defaultValue, const char *paramName, const char *description)
const char * | regStringParam (const char *const *pValue, const char *defaultValue, const char *paramName, const char *description)
float | regFloatParam (const float *pValue, float defaultValue, const char *paramName, const char *description)

## Member Data Documentation

## ◆ kErrorInsteadOfSettingsResponse

constexpr const char* nx::vms_server_plugins::analytics::stub::error_reporting::Ini::kErrorInsteadOfSettingsResponse
| static

Initial value:
=
"errorInsteadOfSettingsResponse"

The documentation for this struct was generated from the following file:

- samples/analytics/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/error_reporting/stub_analytics_plugin_error_reporting_ini.h